FAQ
Hi,

I've just been configuring my new Puppet 3.1.1 / Dashboard setup with
Passenger to use PuppetDB for the inventory service. I configured it via
the puppetdb forge module, and it all seems to be configured correctly as
far as the docs describe.

When I look at a node in the dashboard, under the inventory section, I just
see:

Could not retrieve facts from inventory service: 404 "Could not find facts
myhost.domain.com "


I've quoted the log excerpts from puppetdb.log and masterhttp.log below.
  It sounds ssl-related, or that it's using http instead of https - but
don't really know how to work out what's wrong. Anyone got any pointers for
trying to debug this?

Thanks,
Dave

-------

/var/log/puppetdb/puppetdb log:

2013-04-20 18:11:32,909 WARN [qtp1655388819-40] [io.nio]
javax.net.ssl.SSLException: Unrecognized SSL message, plaintext connection?

2013-04-20 18:11:55,089 WARN [qtp1655388819-39] [http.server] Use of
unversioned APIs is deprecated; please use
/v1/metrics/mbean/java.lang:type=Memory

2013-04-20 18:35:43,518 INFO [command-proc-45] [puppetdb.command]
[db173bb5-a2ea-486e-8dd2-46abf737f975] [replace facts]
puppetmaster.domain.com

2013-04-20 18:35:48,999 INFO [command-proc-45] [puppetdb.command]
[b8cc3c17-7812-45f1-b833-452ff7bf9cf5] [replace catalog]
puppetmaster.domain.com

2013-04-20 18:35:53,944 WARN [qtp1655388819-39] [http.server] Use of
unversioned APIs is deprecated; please use
/v1/metrics/mbean/java.lang:type=Memory



/var/log/puppet/masterhttp.log

[2013-04-20 18:54:52] puppetmaster.domain.com - - [20/Apr/2013:18:54:51
MEST] "GET /production/facts/myhost.domain.com? HTTP/1.1" 404 51

[2013-04-20 18:54:52] - -> /production/facts/myhost.domain.com?

--
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
To post to this group, send email to puppet-users@googlegroups.com.
Visit this group at http://groups.google.com/group/puppet-users?hl=en.
For more options, visit https://groups.google.com/groups/opt_out.

Search Discussions

  • Ken Barber at Apr 22, 2013 at 2:27 pm
    Lets take a look at the following files on your puppetmaster:

    /etc/puppet/puppet.conf
    /etc/puppet/puppetdb.conf
    /etc/puppet/routes.yaml
    /etc/puppet/auth.conf

    On the dashboard:

    /usr/share/puppet-dashboard/config/settings.yml (at least thats the
    normal path for our package on RHEL 6)

    And on your puppetdb server show me the contents of:

    /etc/puppetdb/conf.d/jetty.ini

    You can probably paste this into gist or pastie.

    Also you if you can provide the version of puppetdb &
    puppetdb-terminus that might be useful. Usually I would recommend
    running version 1.2.0 of both puppetdb & puppetdb-terminus and its
    important to try and keep the version in-sync for both packages.

    As far as your log:

    2013-04-20 18:11:32,909 WARN [qtp1655388819-40] [io.nio]
    javax.net.ssl.SSLException: Unrecognized SSL message, plaintext
    connection?

    Does this occur at the same time as when you click the link inventory
    services link on Puppet Dashboard?

    ken.
    On Sat, Apr 20, 2013 at 6:15 PM, David Gordon wrote:
    Hi,

    I've just been configuring my new Puppet 3.1.1 / Dashboard setup with
    Passenger to use PuppetDB for the inventory service. I configured it via
    the puppetdb forge module, and it all seems to be configured correctly as
    far as the docs describe.

    When I look at a node in the dashboard, under the inventory section, I just
    see:

    Could not retrieve facts from inventory service: 404 "Could not find facts
    myhost.domain.com "


    I've quoted the log excerpts from puppetdb.log and masterhttp.log below. It
    sounds ssl-related, or that it's using http instead of https - but don't
    really know how to work out what's wrong. Anyone got any pointers for trying
    to debug this?

    Thanks,
    Dave

    -------

    /var/log/puppetdb/puppetdb log:

    2013-04-20 18:11:32,909 WARN [qtp1655388819-40] [io.nio]
    javax.net.ssl.SSLException: Unrecognized SSL message, plaintext connection?

    2013-04-20 18:11:55,089 WARN [qtp1655388819-39] [http.server] Use of
    unversioned APIs is deprecated; please use
    /v1/metrics/mbean/java.lang:type=Memory

    2013-04-20 18:35:43,518 INFO [command-proc-45] [puppetdb.command]
    [db173bb5-a2ea-486e-8dd2-46abf737f975] [replace facts]
    puppetmaster.domain.com

    2013-04-20 18:35:48,999 INFO [command-proc-45] [puppetdb.command]
    [b8cc3c17-7812-45f1-b833-452ff7bf9cf5] [replace catalog]
    puppetmaster.domain.com

    2013-04-20 18:35:53,944 WARN [qtp1655388819-39] [http.server] Use of
    unversioned APIs is deprecated; please use
    /v1/metrics/mbean/java.lang:type=Memory



    /var/log/puppet/masterhttp.log

    [2013-04-20 18:54:52] puppetmaster.domain.com - - [20/Apr/2013:18:54:51
    MEST] "GET /production/facts/myhost.domain.com? HTTP/1.1" 404 51

    [2013-04-20 18:54:52] - -> /production/facts/myhost.domain.com?

    --
    You received this message because you are subscribed to the Google Groups
    "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an
    email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users?hl=en.
    For more options, visit https://groups.google.com/groups/opt_out.
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users?hl=en.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Michael Eatherly at Apr 29, 2014 at 9:57 pm
    I'm having this issue as well. did we ever find an answer for this problem?
    On Monday, April 22, 2013 9:26:44 AM UTC-5, Ken Barber wrote:

    Lets take a look at the following files on your puppetmaster:

    /etc/puppet/puppet.conf
    /etc/puppet/puppetdb.conf
    /etc/puppet/routes.yaml
    /etc/puppet/auth.conf

    On the dashboard:

    /usr/share/puppet-dashboard/config/settings.yml (at least thats the
    normal path for our package on RHEL 6)

    And on your puppetdb server show me the contents of:

    /etc/puppetdb/conf.d/jetty.ini

    You can probably paste this into gist or pastie.

    Also you if you can provide the version of puppetdb &
    puppetdb-terminus that might be useful. Usually I would recommend
    running version 1.2.0 of both puppetdb & puppetdb-terminus and its
    important to try and keep the version in-sync for both packages.

    As far as your log:

    2013-04-20 18:11:32,909 WARN [qtp1655388819-40] [io.nio]
    javax.net.ssl.SSLException: Unrecognized SSL message, plaintext
    connection?

    Does this occur at the same time as when you click the link inventory
    services link on Puppet Dashboard?

    ken.
    On Sat, Apr 20, 2013 at 6:15 PM, David Gordon wrote:
    Hi,

    I've just been configuring my new Puppet 3.1.1 / Dashboard setup with
    Passenger to use PuppetDB for the inventory service. I configured it via
    the puppetdb forge module, and it all seems to be configured correctly as
    far as the docs describe.

    When I look at a node in the dashboard, under the inventory section, I just
    see:

    Could not retrieve facts from inventory service: 404 "Could not find facts
    myhost.domain.com "


    I've quoted the log excerpts from puppetdb.log and masterhttp.log below. It
    sounds ssl-related, or that it's using http instead of https - but don't
    really know how to work out what's wrong. Anyone got any pointers for trying
    to debug this?

    Thanks,
    Dave

    -------

    /var/log/puppetdb/puppetdb log:

    2013-04-20 18:11:32,909 WARN [qtp1655388819-40] [io.nio]
    javax.net.ssl.SSLException: Unrecognized SSL message, plaintext
    connection?
    2013-04-20 18:11:55,089 WARN [qtp1655388819-39] [http.server] Use of
    unversioned APIs is deprecated; please use
    /v1/metrics/mbean/java.lang:type=Memory

    2013-04-20 18:35:43,518 INFO [command-proc-45] [puppetdb.command]
    [db173bb5-a2ea-486e-8dd2-46abf737f975] [replace facts]
    puppetmaster.domain.com

    2013-04-20 18:35:48,999 INFO [command-proc-45] [puppetdb.command]
    [b8cc3c17-7812-45f1-b833-452ff7bf9cf5] [replace catalog]
    puppetmaster.domain.com

    2013-04-20 18:35:53,944 WARN [qtp1655388819-39] [http.server] Use of
    unversioned APIs is deprecated; please use
    /v1/metrics/mbean/java.lang:type=Memory



    /var/log/puppet/masterhttp.log

    [2013-04-20 18:54:52] puppetmaster.domain.com - - [20/Apr/2013:18:54:51
    MEST] "GET /production/facts/myhost.domain.com? HTTP/1.1" 404 51

    [2013-04-20 18:54:52] - -> /production/facts/myhost.domain.com?

    --
    You received this message because you are subscribed to the Google Groups
    "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an
    email to puppet-users...@googlegroups.com <javascript:>.
    To post to this group, send email to puppet...@googlegroups.com<javascript:>.
    Visit this group at http://groups.google.com/group/puppet-users?hl=en.
    For more options, visit https://groups.google.com/groups/opt_out.
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To view this discussion on the web visit https://groups.google.com/d/msgid/puppet-users/b57a6b74-3826-4f1d-a836-362a4570283e%40googlegroups.com.
    For more options, visit https://groups.google.com/d/optout.
  • Ken Barber at Apr 30, 2014 at 12:16 pm
    I never got a response. Looked like a configuration issue to me, but
    there was no follow up.

    I'd suggest starting a new thread with more details about your issue,
    versions/error messages/configuration files etc.

    ken.

    On Tue, Apr 29, 2014 at 10:55 PM, Michael Eatherly
    wrote:
    I'm having this issue as well. did we ever find an answer for this problem?

    On Monday, April 22, 2013 9:26:44 AM UTC-5, Ken Barber wrote:

    Lets take a look at the following files on your puppetmaster:

    /etc/puppet/puppet.conf
    /etc/puppet/puppetdb.conf
    /etc/puppet/routes.yaml
    /etc/puppet/auth.conf

    On the dashboard:

    /usr/share/puppet-dashboard/config/settings.yml (at least thats the
    normal path for our package on RHEL 6)

    And on your puppetdb server show me the contents of:

    /etc/puppetdb/conf.d/jetty.ini

    You can probably paste this into gist or pastie.

    Also you if you can provide the version of puppetdb &
    puppetdb-terminus that might be useful. Usually I would recommend
    running version 1.2.0 of both puppetdb & puppetdb-terminus and its
    important to try and keep the version in-sync for both packages.

    As far as your log:

    2013-04-20 18:11:32,909 WARN [qtp1655388819-40] [io.nio]
    javax.net.ssl.SSLException: Unrecognized SSL message, plaintext
    connection?

    Does this occur at the same time as when you click the link inventory
    services link on Puppet Dashboard?

    ken.
    On Sat, Apr 20, 2013 at 6:15 PM, David Gordon wrote:
    Hi,

    I've just been configuring my new Puppet 3.1.1 / Dashboard setup with
    Passenger to use PuppetDB for the inventory service. I configured it
    via
    the puppetdb forge module, and it all seems to be configured correctly
    as
    far as the docs describe.

    When I look at a node in the dashboard, under the inventory section, I
    just
    see:

    Could not retrieve facts from inventory service: 404 "Could not find
    facts
    myhost.domain.com "


    I've quoted the log excerpts from puppetdb.log and masterhttp.log below.
    It
    sounds ssl-related, or that it's using http instead of https - but don't
    really know how to work out what's wrong. Anyone got any pointers for
    trying
    to debug this?

    Thanks,
    Dave

    -------

    /var/log/puppetdb/puppetdb log:

    2013-04-20 18:11:32,909 WARN [qtp1655388819-40] [io.nio]
    javax.net.ssl.SSLException: Unrecognized SSL message, plaintext
    connection?

    2013-04-20 18:11:55,089 WARN [qtp1655388819-39] [http.server] Use of
    unversioned APIs is deprecated; please use
    /v1/metrics/mbean/java.lang:type=Memory

    2013-04-20 18:35:43,518 INFO [command-proc-45] [puppetdb.command]
    [db173bb5-a2ea-486e-8dd2-46abf737f975] [replace facts]
    puppetmaster.domain.com

    2013-04-20 18:35:48,999 INFO [command-proc-45] [puppetdb.command]
    [b8cc3c17-7812-45f1-b833-452ff7bf9cf5] [replace catalog]
    puppetmaster.domain.com

    2013-04-20 18:35:53,944 WARN [qtp1655388819-39] [http.server] Use of
    unversioned APIs is deprecated; please use
    /v1/metrics/mbean/java.lang:type=Memory



    /var/log/puppet/masterhttp.log

    [2013-04-20 18:54:52] puppetmaster.domain.com - - [20/Apr/2013:18:54:51
    MEST] "GET /production/facts/myhost.domain.com? HTTP/1.1" 404 51

    [2013-04-20 18:54:52] - -> /production/facts/myhost.domain.com?

    --
    You received this message because you are subscribed to the Google
    Groups
    "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send
    an
    email to puppet-users...@googlegroups.com.
    To post to this group, send email to puppet...@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users?hl=en.
    For more options, visit https://groups.google.com/groups/opt_out.
    --
    You received this message because you are subscribed to the Google Groups
    "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an
    email to puppet-users+unsubscribe@googlegroups.com.
    To view this discussion on the web visit
    https://groups.google.com/d/msgid/puppet-users/b57a6b74-3826-4f1d-a836-362a4570283e%40googlegroups.com.
    For more options, visit https://groups.google.com/d/optout.
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To view this discussion on the web visit https://groups.google.com/d/msgid/puppet-users/CAE4bNTkeCN_scHdaKLqCnRnXHDQCSv16R_P23-n3kK5i37uO8A%40mail.gmail.com.
    For more options, visit https://groups.google.com/d/optout.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppuppet-users @
categoriespuppet
postedApr 20, '13 at 5:22p
activeApr 30, '14 at 12:16p
posts4
users3
websitepuppetlabs.com

People

Translate

site design / logo © 2021 Grokbase